Subject: Re: [AVT] CTS roll over

From: [email-masked]
Date: Wed, 26 Sep 2001 18:35:04 +0200

colin perkins writes:

> I believe that the use of timestamps less than 32 bits will cause problems
> with RTP. Why don't you extend short timestamps out to 32 bits?

Oh, I would like to !

I think that most implementations are "making SL streams specifically"
i.e. are already using 32 bits time stamps ANYWAY ...

(dear implementers, please comment ?)

That would definitely simplify everything !

A receiver would still be able to re-construct less-than-32-bit
timestamps based on the timeStampLength found in the SLConfigDescriptor ...
it requires a little modulo computation but ok....

Objections anyone ?

**************

Actualy we could do the same for more-than-32-bit time stamps,
could we ? (instead of simply refusing them ?)

PS: [email-masked] bounces back to me, can anyone
forward this to the correct E mail (or is some server down ?)

Regards,

Philippe Gentric
Software architect
Philips Digital Networks - MP4Net
51 rue Carnot B.P. 301
92156 Suresnes FRANCE
tel: +33(0)147283740
fax: +33(0)147283725
[email-masked]
http://www.mpeg-4.philips.com

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt